Package org.apache.wiki.auth.login

# Class WebContainerCallbackHandler

java.lang.Object
org.apache.wiki.auth.login.WebContainerCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public final class WebContainerCallbackHandler extends Object implements CallbackHandler
Handles logins made from within JSPWiki.

Since:
  2.3
See Also:
  - `SessionSPI.find(Engine, HttpServletRequest)`

## Constructor Summary

Constructors
Constructor
Description
`WebContainerCallbackHandler(Engine engine, javax.servlet.http.HttpServletRequest request)`
Create a new handler.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebContainerCallbackHandler

public WebContainerCallbackHandler(Engine engine, javax.servlet.http.HttpServletRequest request)
Create a new handler.

Parameters:
  `engine` - The Engine
  `request` - The request to look into

## Method Details

### handle

public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`
See Also:
  - `CallbackHandler.handle(javax.security.auth.callback.Callback[])`